org.jboss.logging.processor.apt

## Class MessageInterfaceFactory

- java.lang.Object
- - org.jboss.logging.processor.apt.MessageInterfaceFactory

    public final class MessageInterfaceFactory
    extends Object

A factory to create a `MessageInterface` for annotation processors.

Author:
  James R. Perkins

### Method Summary

Methods
`static MessageInterface` `of(ProcessingEnvironment processingEnvironment, TypeElement interfaceElement)` Creates a message interface from the `TypeElement` specified by the `interfaceElement` parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static MessageInterface of(ProcessingEnvironment processingEnvironment,
                      TypeElement interfaceElement)

Creates a message interface from the `TypeElement` specified by the `interfaceElement` parameter.

Parameters:
  `processingEnvironment` - the annotation processing environment.
  `interfaceElement` - the interface element to parse.
Returns:
  a message interface for the interface element.